Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Commits on Jun 19, 2011
  1. Import ruby18-rbx-require-relative pacakge version 0.0.5.

    taca authored
    It is required by new ruby-linecache package.
    
    Ruby 1.9's relative_relative for Rubinus and MRI 1.8
    
    Here we add in Module RequireRelative method: *require_relative*,
    and *abs_file*.
    
    Example:
    require 'rubygems'; require 'require_relative'
    require_relative './lib/foo'
    absolute_path = RequireRelative.abs_file
    
    But why *abs_file*? Well, recall that ==__FILE__== does not give an absolute
    path. So if you have chdir'd before using ==__FILE__==, you might not be
    able to retrieve the full path.
Something went wrong with that request. Please try again.